#!/bin/bash

if [ "$1" == 'bar' ]; then
	if [ ! -e ${HOME}/.spool/apt-upgradeable ]; then
		sudo apt update >/dev/null 2>/dev/null
		COUNT=`apt list --upgradable 2> /dev/null | wc -l`
		let COUNT--
		echo $COUNT > /home/jpm/.spool/apt-upgradeable
	else
		COUNT=`cat ${HOME}/.spool/apt-upgradeable`
	fi
	if [ $COUNT -eq 0 ]; then
		echo '{"text": "🗹", "tooltip": "Up-to-date", "class": "up-to-date"}'
	else
		echo '{"text": "⭳'$COUNT'", "tooltip": "'$COUNT' updates available (click to download)", "class": "updateable"}'
	fi
elif [ "$SUDO_USER" != '' ]; then
	echo "Don't run with sudo. Run normally, but with a sudoer user"
elif [ $UID -eq 0 ]; then
	echo "Don't run as root. Run normally, but with a sudoer user"
elif [ "$1" == 'upgrade' ]; then
	/usr/bin/uxterm -e "sudo apt-get update && sudo apt-get full-upgrade -y && sudo apt-get autoremove -y && sudo apt-get clean -y && exit"
	COUNT=`apt list --upgradable 2> /dev/null | wc -l`
	let COUNT--
	echo $COUNT > /home/jpm/.spool/apt-upgradeable
elif [ "$1" == 'update' ]; then
	sudo apt update >/dev/null 2>/dev/null
	COUNT=`apt list --upgradable 2> /dev/null | wc -l`
	let COUNT--
	echo $COUNT > /home/jpm/.spool/apt-upgradeable
else
	echo "Missing argument: update, upgrade"
fi
